#pragma once

#include "item.h"
#include "microcontroller.h"

class AuxItem: public Item
{
	Q_OBJECT
private:
	Microcontroller* micro_;

protected:
	virtual void enactValue(uint8_t value) override;

public:
	AuxItem(Microcontroller* micro  = nullptr, uint32_t itemIdIn = QRandomGenerator::global()->generate(), QString name = "",
	        uint8_t value = 0, QObject* parent = nullptr);

	virtual void store(QJsonObject& json) override;
};
